// test.cpp - Trabajar con la clase CFecha
#include <iostream>
#include "fecha.h"
using namespace std;

void leerFecha(int&, int&, int&);
void visualizarFecha(const CFecha& fecha);

int main()
{
  CFecha fecha; // objeto de tipo CFecha
  int dd = 0, mm = 0, aaaa = 0;
  do
  {
    leerFecha(dd, mm, aaaa);
    fecha.asignarFecha(dd, mm, aaaa);
  }
  while (!fecha.fechaCorrecta());
  visualizarFecha(fecha);
}

void leerFecha(int& dia, int& mes, int& anyo)
{
  cout << "día:  "; cin >> dia;
  cout << "mes:  "; cin >> mes;
  cout << "anyo: "; cin >> anyo;
}

void visualizarFecha(const CFecha& fecha)
{
  int dd, mm, aaaa;

  fecha.obtenerFecha(dd, mm, aaaa);
  cout << dd << "/" << mm << "/" << aaaa << "\n";
}
